Bug 1410717 - System Administration guide improvement request
Summary: System Administration guide improvement request
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Documentation
Version: 3.0.0
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Les Williams
QA Contact: Radek Bíba
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 08:40 UTC by Keigo Noha
Modified: 2017-03-01 22:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-01 22:15:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0367 normal SHIPPED_LIVE Red Hat Update Infrastructure 3.0 Release 2017-03-02 03:05:22 UTC

Description Keigo Noha 2017-01-06 08:40:30 UTC
Description of problem:
In System Administration guide, there are a lot of improvement point.
The current guide will cause massive support cases related to installation.

These are my suggestions.

1. Between chapter 3 and chapter 4, we should have a summary of installation step or overview of the installation.
Current guide structure has a difficulty to understand the overview and readers will not be able to understand what they actually do and what they should do in the next.

2. Before chapter 4, we should have subscription attach procedure for RHUA, CDS, HAPROXY. Currently, the reader does not understand what repositories and subscription need to be attached in each role.

3. In section 4.1, we have following command.
~~~
# subscription-manager register --type=rhui
~~~

If the system is registered as type=rhui, the system can not be enabled rhel-7-server-rpms repository.
I think this procedure should not be written in the guide. Instead, we should have a step to create a RHUI unit via Customer Portal.

4. In section 5.2, we have
~~~
2. Add the following entry in /etc/fstab on each CDS node.

/dev/xvdb /export/xvdb xfs defaults 0 0
~~~

In this line, we have /dev/xvdb as an example. But the above of the line, we have following lines.
~~~
[root@cds1 ~]# yum install glusterfs-server glusterfs-cli rh-rhua-selinux-policy
[root@cds1 ~]# mkfs.xfs -f -i size=512 /dev/vdb
[root@cds1 ~]# mkdir -p /export/xvdb; mount /dev/vdb /export/xvdb; mkdir -p /export/xvdb/brick; chkconfig glusterd on; service glusterd start
~~~

So we should modify the line like as below.
~~~
/dev/vdb /export/xvdb xfs defaults 0 0
~~~






Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:

Comment 3 Keigo Noha 2017-01-06 09:02:35 UTC
In Chapter 5,
~~~
[root@cds1 ~]# yum install glusterfs-server glusterfs-cli rh-rhua-selinux-policy
[root@cds1 ~]# mkfs.xfs -f -i size=512 /dev/vdb
[root@cds1 ~]# mkdir -p /export/xvdb; mount /dev/vdb /export/xvdb; mkdir -p /export/xvdb/brick; chkconfig glusterd on; service glusterd start
~~~

This step assumes CDS is RHEL6. We should have RHLE7 version like

~~~
[root@cds1 ~]# yum install glusterfs-server glusterfs-cli rh-rhua-selinux-policy
[root@cds1 ~]# mkfs.xfs -f -i size=512 /dev/vdb
[root@cds1 ~]# mkdir -p /export/xvdb; mount /dev/vdb /export/xvdb; mkdir -p /export/xvdb/brick; systemctl enable glusterd.service; systemctl start glusterd.service
~~~

Comment 28 errata-xmlrpc 2017-03-01 22:15:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0367


Note You need to log in before you can comment on or make changes to this bug.